## prometheus-frr-exporter 1.1.0

=== Makefile ===
PROMU_VERSION := 0.12.0

setup_promu:
	curl -s -L https://github.com/prometheus/promu/releases/download/v$(PROMU_VERSION)/promu-$(PROMU_VERSION).linux-amd64.tar.gz | tar -xvzf -
	mv promu-$(PROMU_VERSION).linux-amd64/promu .

build:
	./promu build --prefix $(PREFIX) $(PROMU_BINARIES)

test:
	go test ./...

=== debian/changelog ===
prometheus-frr-exporter (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Add 01-fix-bfdpeer-integer-type.patch to fix failing tests on 32-bit arch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 01 Jan 2022 22:16:39 +0000

prometheus-frr-exporter (1.0.1-2) unstable; urgency=medium

  * Source-only upload

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 29 Dec 2021 23:38:52 +0000

prometheus-frr-exporter (1.0.1-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Point Vcs-Browser and Vcs-Git to salsa.debian.org

  [ Daniel Swarbrick ]
  * Initial release (Closes: #1000397)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 29 Dec 2021 13:29:52 +0000

=== debian/control ===
Source: prometheus-frr-exporter
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-go-kit-log-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter.git
Homepage: https://github.com/tynany/frr_exporter
XS-Go-Import-Path: github.com/tynany/frr_exporter

Package: prometheus-frr-exporter
Architecture: any
Depends: frr, ${misc:Depends}, ${shlibs:Depends}
Enhances: frr
Built-Using: ${misc:Built-Using}
Description: Prometheus exporter for Free Range Routing (FRR)
 Prometheus exporter for FRR version 3.0+ that collects metrics by using vtysh
 and exposes them via HTTP, ready for collecting by Prometheus.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDTAGS  :=
BUILDFLAGS  = -tags "$(BUILDTAGS)" -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus exporter for Free Range Routing (FRR)"

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package
	mv -v $(BUILDDIR)/bin/frr_exporter $(BUILDDIR)/bin/$(BINNAME)
	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly
	sed -i -e '/^  /d' build/$(BINNAME).1
	# Fix whatis entry
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
	# Remove default values as they create unwieldy long lines
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1

override_dh_auto_install:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://github.com/tynany/frr_exporter/tags .*/v?(\d\S+)\.tar\.gz

## prometheus-frr-exporter 1.1.1

=== debian/changelog ===
prometheus-frr-exporter (1.1.1-2ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 14 Feb 2023 10:07:45 +0100

prometheus-frr-exporter (1.1.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 13 May 2022 17:19:08 +0000

prometheus-frr-exporter (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Drop obsolete 01-fix-bfdpeer-integer-type.patch (applied upstream)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 13 May 2022 16:52:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: prometheus-frr-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter.git

## prometheus-frr-exporter 1.1.4

=== debian/changelog ===
prometheus-frr-exporter (1.1.4-2) unstable; urgency=medium

  * Add version restriction for golang-github-prometheus-exporter-toolkit-dev
    build-dep

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 18 Nov 2022 06:11:02 +0000

prometheus-frr-exporter (1.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 17 Nov 2022 22:36:14 +0000

prometheus-frr-exporter (1.1.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to exclude rc / beta versions etc.

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 12 Oct 2022 12:21:04 +0000

prometheus-frr-exporter (1.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 27 Aug 2022 16:47:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-frr-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -11,7 +10,7 @@
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev,
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
                golang-gopkg-alecthomas-kingpin.v2-dev
 Standards-Version: 4.6.1
 Rules-Requires-Root: no

## prometheus-frr-exporter 1.2.0

=== debian/changelog ===
prometheus-frr-exporter (1.2.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 10:11:27 +1000

prometheus-frr-exporter (1.2.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 13:59:58 +1000

prometheus-frr-exporter (1.2.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:06:32 +0530

prometheus-frr-exporter (1.2.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:34 +1200

prometheus-frr-exporter (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add new 01-Debian_defaults.patch
  * Add new 02-Revert_kingpin_import_path.patch
  * Bump Standards-Version to 4.6.2 (no changes)
  * Bump minimum required golang-github-prometheus-exporter-toolkit-dev
    version to 0.9.1
  * Remove --help output from default file

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Jun 2023 21:54:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: prometheus-frr-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -10,9 +11,9 @@
                golang-github-go-kit-log-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.8.0),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.9.1),
                golang-gopkg-alecthomas-kingpin.v2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter.git

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 WHATIS := "$(BINNAME) \\- Prometheus exporter for Free Range Routing (FRR)"
 
 %:
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)

## prometheus-frr-exporter 1.3.1

=== debian/changelog ===
prometheus-frr-exporter (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 0003-Support-prometheus-common-v0.50.0.patch (implemented
    upstream)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 15 Sep 2024 23:41:49 +0000

prometheus-frr-exporter (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 07 Sep 2024 20:34:09 +0000

prometheus-frr-exporter (1.2.0-2) unstable; urgency=medium

  * Convert patches to gbp-pq format
  * Add new 0003-Support-prometheus-common-v0.50.0.patch
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)
  * Modernize debian/rules to produce more visually appealing man page

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 15 Mar 2024 14:42:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus-frr-exporter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
@@ -9,11 +8,11 @@
                dh-sequence-golang,
                golang-any,
                golang-github-go-kit-log-dev,
-               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
                golang-github-prometheus-exporter-toolkit-dev (>= 0.9.1),
                golang-gopkg-alecthomas-kingpin.v2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter.git

## prometheus-frr-exporter 1.3.2

=== debian/changelog ===
prometheus-frr-exporter (1.3.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Drop no longer used golang-github-go-kit-log-dev Build-Depends
  * Bump golang-any Build-Depends version constraint to (>= 2:1.21~) due to
    use of log/slog package
  * Bump golang-github-prometheus-exporter-toolkit-dev version constraint to
    (>= 0.13.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 13 Jan 2025 08:55:06 +0000

## prometheus-frr-exporter 1.4.0

=== debian/changelog ===
prometheus-frr-exporter (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 28 Jan 2025 10:01:17 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any,
-               golang-github-go-kit-log-dev,
+               golang-any (>= 2:1.21~),
                golang-github-prometheus-client-golang-dev (>= 1.19.0),
                golang-github-prometheus-common-dev,
-               golang-github-prometheus-exporter-toolkit-dev (>= 0.9.1),
+               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-gopkg-alecthomas-kingpin.v2-dev
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

## prometheus-frr-exporter 1.8.0

=== debian/changelog ===
prometheus-frr-exporter (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh packaging according to latest dh-make-golang template
  * Add missing Build-Depends golang-github-prometheus-client-model-dev
  * Bump Standards-Version to 4.7.2 (no changes)
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 14 Aug 2025 13:24:26 +0000

## prometheus-frr-exporter 1.8.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PROMU_VERSION := 0.12.0
+PROMU_VERSION := 0.17.0
 
 setup_promu:
 	curl -s -L https://github.com/prometheus/promu/releases/download/v$(PROMU_VERSION)/promu-$(PROMU_VERSION).linux-amd64.tar.gz | tar -xvzf -

=== debian/changelog ===
prometheus-frr-exporter (1.8.1-1) unstable; urgency=medium

  * New upstream (bugfix) release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 14:23:38 +0000

=== debian/control ===
Source: prometheus-frr-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.21~),
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
               golang-gopkg-alecthomas-kingpin.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter.git
Homepage: https://github.com/tynany/frr_exporter
XS-Go-Import-Path: github.com/tynany/frr_exporter

Package: prometheus-frr-exporter
Section: net
Architecture: any
Depends: frr,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: frr,
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for Free Range Routing (FRR)
 Prometheus exporter for FRR version 3.0+ that collects metrics by using vtysh
 and exposes them via HTTP, ready for collecting by Prometheus.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to enable verbose mode.
#export DH_VERBOSE := 1

METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := team+pkg-go@tracker.debian.org
BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --builddir=_build --buildsystem=golang

BINNAME := $(DEB_SOURCE)

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	mv -v _build/bin/frr_exporter _build/bin/$(BINNAME)

MAN_WHATIS := $(BINNAME) \\- Prometheus exporter for Free Range Routing (FRR)
MAN_PROG := $(shell echo $(BINNAME) | tr [:lower:] [:upper:])
MAN_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' '+%B %Y')

execute_before_dh_installman:
	_build/bin/$(BINNAME) --help-man > _build/$(BINNAME).1
	# Fix title header and footer.
	sed -i '/^.TH .*/c.TH $(MAN_PROG) "1" "$(MAN_DATE)" "$(DEB_SOURCE) $(DEB_VERSION_UPSTREAM)" "Prometheus"/' \
        _build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i '/^  /d' _build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n$(MAN_WHATIS)' _build/$(BINNAME).1
	# Remove default values, as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' _build/$(BINNAME).1

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/tynany/frr_exporter/tags .*/v?(\d\S*)\.tar\.gz debian

## prometheus-frr-exporter 1.9.0

=== debian/changelog ===
prometheus-frr-exporter (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 29 Dec 2025 17:34:55 +0000

## prometheus-frr-exporter 1.10.0

=== debian/changelog ===
prometheus-frr-exporter (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.3

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 15 Feb 2026 18:51:07 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any (>= 2:1.21~),
@@ -13,7 +12,7 @@
                golang-github-prometheus-exporter-toolkit-dev (>= 0.13.0),
                golang-gopkg-alecthomas-kingpin.v2-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-frr-exporter.git
 Homepage: https://github.com/tynany/frr_exporter
